QueryJoinFragment (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class QueryJoinFragment

    java.lang.Object
      org.hibernate.sql.JoinFragment
          org.hibernate.sql.QueryJoinFragment

    public class QueryJoinFragment

extends JoinFragment

A join that appears in a translated HQL query

Field Summary

Fields inherited from class org.hibernate.sql.JoinFragment
`FULL_JOIN, INNER_JOIN, LEFT_OUTER_JOIN, RIGHT_OUTER_JOIN`

Constructor Summary
`QueryJoinFragment(Dialect dialect, boolean useThetaStyleInnerJoins)`

Method Summary
`boolean` | `addCondition(String condition)` Add the condition string to the join fragment.
`void` | `addCondition(String alias, String[] columns, String condition)`
`void` | `addCondition(String alias, String[] fkColumns, String[] pkColumns)`
`void` | `addCrossJoin(String tableName, String alias)`
`void` | `addFromFragmentString(String fromFragmentString)`
`void` | `addJoin(String tableName, String alias, String[] fkColumns, String[] pkColumns, JoinType joinType)`
`void` | `addJoin(String tableName, String alias, String[] fkColumns, String[] pkColumns, JoinType joinType, String on)`
`void` | `addJoins(String fromFragment, String whereFragment)`
`void` | `clearWherePart()`
`JoinFragment` | `copy()`
`String` | `toFromFragmentString()`
`String` | `toWhereFragmentString()`

Methods inherited from class org.hibernate.sql.JoinFragment
`addCondition, addFragment, hasFilterCondition, hasThetaJoins, setHasFilterCondition, setHasThetaJoins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryJoinFragment

    public QueryJoinFragment(Dialect dialect,
                             boolean useThetaStyleInnerJoins)

Method Detail

### addJoin

    public void addJoin(String tableName,
                        String alias,
                        String[] fkColumns,
                        String[] pkColumns,
                        JoinType joinType)

  Specified by:
    `addJoin` in class `JoinFragment`

### addJoin

    public void addJoin(String tableName,
                        String alias,
                        String[] fkColumns,
                        String[] pkColumns,
                        JoinType joinType,
                        String on)

  Specified by:
    `addJoin` in class `JoinFragment`

### toFromFragmentString

    public String toFromFragmentString()

  Specified by:
    `toFromFragmentString` in class `JoinFragment`

### toWhereFragmentString

    public String toWhereFragmentString()

  Specified by:
    `toWhereFragmentString` in class `JoinFragment`

### addJoins

    public void addJoins(String fromFragment,
                         String whereFragment)

  Specified by:
    `addJoins` in class `JoinFragment`

### copy

    public JoinFragment copy()

  Specified by:
    `copy` in class `JoinFragment`

### addCondition

    public void addCondition(String alias,
                             String[] columns,
                             String condition)

### addCrossJoin

    public void addCrossJoin(String tableName,
                             String alias)

  Specified by:
    `addCrossJoin` in class `JoinFragment`

### addCondition

    public void addCondition(String alias,
                             String[] fkColumns,
                             String[] pkColumns)

  Specified by:
    `addCondition` in class `JoinFragment`

### addCondition

    public boolean addCondition(String condition)

  Add the condition string to the join fragment.

  Specified by:
    `addCondition` in class `JoinFragment`
  Parameters:
    `condition` -
  Returns:
    true if the condition was added, false if it was already in the fragment.

### addFromFragmentString

    public void addFromFragmentString(String fromFragmentString)

### clearWherePart

    public void clearWherePart()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.